generic-deriving-1.4.0: Generic programming library for generalised deriving.

Safe Haskell | None

Generics.Deriving.Show

Contents

- Generic show class
- Default definition

Synopsis

- class GShow a where
  - gshowsPrec :: Int -> a -> ShowS
  - gshows :: a -> ShowS
  - gshow :: a -> String
- gshowsPrecdefault :: (Generic a, GShow' (Rep a)) => Int -> a -> ShowS

# Generic show class

class GShow a where Source

Methods

gshowsPrec :: Int -> a -> ShowS Source

gshows :: a -> ShowS Source

gshow :: a -> String Source

Instances

GShow Bool |
GShow Char |
GShow Float |
GShow Int |
GShow String |
GShow a => GShow [a] |
GShow a => GShow (Maybe a) |

# Default definition

gshowsPrecdefault :: (Generic a, GShow' (Rep a)) => Int -> a -> ShowS Source